Skip to main content
POST
/
zone
/
ips
/
refresh
cURL
curl --request POST \
  --url https://api.brightdata.com/zone/ips/refresh \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "zone": "zone1",
  "vips": [
    "vip1",
    "vip2"
  ],
  "ips": [
    "ip1",
    "ip2"
  ],
  "country": "<string>",
  "country_city": "<string>"
}
'
{
  "vips": [
    {
      "vip": "tr_9121_07_antalya_10",
      "country": "tr"
    },
    {
      "vip": "tr_9121_07_antalya_17",
      "country": "tr"
    }
  ]
}
Warning: This API can modify your account settings, damage your operations or incur charges.
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Each dedicated residential IP refreshed costs $0.02/refresh/IP

Authorizations

Authorization
string
header
required

在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。

认证方法:

  1. 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
  2. 在请求的 Authorization 头中包含 API Key
  3. 格式: Authorization: Bearer YOUR_API_KEY

示例:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?

Body

application/json
zone
string
required

区域名称

Example:

"zone1"

vips
string[]

要刷新的 VIP

注意:若需刷新所有已分配的 IP,请省略 vips 参数。

注意:仅适用于专用住宅 IP

Example:
["vip1", "vip2"]
ips
string[]

要刷新的 IP

注意:若需刷新所有已分配的 IP,请省略 ips 参数

Example:
["ip1", "ip2"]
country
string

新 IP 的国家(例如 us

country_city
string

新 IP 的城市(例如 us-chicago

Response

200 - application/json

成功

The response is of type object.